=== debian/changelog ===
pd-iemmatrix (0.2-1) unstable; urgency=low

  [ Roman Haefeli ]
  * Initial packaging.
    Closes: #603181

  [ IOhannes m zmölnig ]
  * Have CDBS invoke aclocal.
  * Let CDBS auto-resolve build-dependencies.
  * Add myself as uploader.
  * Shorten packaging VCS URL.
  * Newline-delimit build-dependencies, for better readability.
  * Add copyright hints, to track future changes.
  * Add watch file.

  [ Jonas Smedegaard ]
  * Minor tidying of various packaging files.
  * Add myself as uploader.
  * Update copyright file: Additional authors, and some parts more
    restrictively licensed as GPL-3.
  * Drop useless suppression of build-dependencies: Recent CDBS required
    anyway, due to use of pd.mk snippet.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Feb 2011 22:26:44 +0100
