=== debian/control ===
Source: pd-iemmatrix
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 automake1.11,
 autoconf,
 cdbs (>= 0.4.91~),
 devscripts (>= 2.10.7~),
 puredata,
 libfftw3-dev,
 libsndfile1-dev,
 libgsl0-dev
Standards-Version: 3.9.1
Section: sound
Homepage: http://download.puredata.info/iemmatrix
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iemmatrix
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-iemmatrix.git

Package: pd-iemmatrix
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends}, 
 pd 
Description: Pd-objects for simple matrix operations
 This library contains about 100 objects for matrix manipulation within
 the dataflow language Pure Data.
 .
 The syntax is based on the matrix operators in Octave (and thus
 Matlab®).
