=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002 Guenter Geiger <geiger@debian.org>
# Copyright © 2011 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for pd-iemmatrix
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

# upstream's way to prevent stripping: override the STRIP command with
# something harmless, like /usr/bin/true
STRIP=/bin/true
export STRIP

# where sources are
DEB_SRCDIR = src

# regenerate configure, so that patches to configure.ac take effect
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOCONF = 2.61

DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux

# remove generated files not cleaned up on "make clean"
clean::
	-rm -f VERSION.txt doc/iemmatrix-meta.pd
