## pd-iemmatrix 0.3

=== debian/changelog ===
pd-iemmatrix (0.3-2build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:38:06 -0500

pd-iemmatrix (0.3-2) unstable; urgency=medium

  * Fallback B-D on libgsl0-dev
  * Updated debian/watch to point to new upstream repository
  * Updated upstream homepage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 01 Dec 2015 13:32:40 +0100

pd-iemmatrix (0.3-1) unstable; urgency=medium

  * Imported Upstream version 0.3

  * Removed patches applied upstream
  * Switch B-D to unversioned libgsl-dev
  * Updated watch-file
  * Provide build-date string for reproducible builds
  * Updated build-system (use autoreconf, remove cruft)
  * Prevent unwanted files (.la, CHANGES.txt) from being installed
  * Regenerated debian/(control|copyright_hints)
  * Updated debian/copyright
  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script
    * Document git-tuneclone.sh in debian/README.source
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Nov 2015 17:20:31 +0100

pd-iemmatrix (0.2-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fixing FTBFS with clang (Closes: #741688)
    - thanks to Nicolas Sévelin-Radiguet
  * Build-depend on puredata-dev
  * Depend on real package "puredata"
    - with fallback to virtual package "pd"
  * lintian-override for config.status in upstream
  * debian/copyright is now in the final DEP5 format
  * Fixed Vcs-* stanzas
  * Removed trailing whitespace in control.in
  * Updated my uploader's name
  * Bumped standards version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Mar 2014 15:48:29 +0100
