=== debian/control ===
Source: pd-iemmatrix
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 automake1.11,
 autoconf,
 dh-autoreconf,
 devscripts,
 puredata-dev | puredata,
 libfftw3-dev,
 libsndfile1-dev,
 libgsl-dev | libgsl0-dev
Standards-Version: 3.9.6
Section: sound
Homepage: https://git.iem.at/pd/iemmatrix
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-iemmatrix
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-iemmatrix.git

Package: pd-iemmatrix
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Description: Pd-objects for simple matrix operations
 This library contains about 100 objects for matrix manipulation within
 the dataflow language Pure Data.
 .
 The syntax is based on the matrix operators in Octave (and thus
 Matlab®).
