=== debian/rules ===
--- 
+++ 
@@ -19,23 +19,25 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/pd.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-# upstream's way to prevent stripping: override the STRIP command with
-# something harmless, like /usr/bin/true
-STRIP=/bin/true
-export STRIP
+BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
 
-# where sources are
-DEB_SRCDIR = src
 
 # regenerate configure, so that patches to configure.ac take effect
 DEB_AUTO_UPDATE_ACLOCAL = 1.11
 DEB_AUTO_UPDATE_AUTOCONF = 2.61
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux
+DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux --with-build-date="$(BUILD_DATE)"
 
 # remove generated files not cleaned up on "make clean"
 clean::
 	-rm -f VERSION.txt doc/iemmatrix-meta.pd
+
+binary-predeb/pd-iemmatrix::
+	# remove libtools leftovers
+	find "$(cdbs_curdestdir)" -name "*.la" -delete
+	# we rather link to the debian provided GPL-2
+	-rm -f "$(cdbs_curdestdir)/usr/lib/pd/extra/iemmatrix/LICENSE.txt"
