## pd-iemmatrix 0.3.1

=== tests/Makefile ===
default: nogui


nogui:
	sh runtests.sh

gui:
	sh runtests.sh -gui
