=== debian/changelog ===
pd-iemmatrix (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Fixed d/watch
  * Refreshed d/copyright_hints
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Feb 2019 21:58:40 +0100

pd-iemmatrix (0.3-4) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Dropped unneeded B-Ds
    * Enabled hardening
  * Added source/local-options
  * Updated d/watch
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:13:19 +0100

pd-iemmatrix (0.3-3) unstable; urgency=medium

  * Dropped versioned dependency on automake
  * Canonical Vcs-Git stanza
  * Bumped standards version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 14 Mar 2017 09:26:54 +0100
