=== debian/control ===
Source: pd-iemmatrix
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev | puredata,
 libfftw3-dev,
 libsndfile1-dev,
 libgsl-dev | libgsl0-dev,
Standards-Version: 4.3.0
Section: sound
Homepage: https://git.iem.at/pd/iemmatrix
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix

Package: pd-iemmatrix
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: Pd-objects for simple matrix operations
 This library contains about 100 objects for matrix manipulation within
 the dataflow language Pure Data.
 .
 The syntax is based on the matrix operators in Octave (and thus
 Matlab®).
