## pd-iemmatrix 0.3.2

=== debian/changelog ===
pd-iemmatrix (0.3.2-4) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:44:33 +0100

pd-iemmatrix (0.3.2-3) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 00:01:36 +0100

pd-iemmatrix (0.3.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license .

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to use pd_error() instead of the deprecated error()
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 18:23:08 +0200

pd-iemmatrix (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig ]
  * Add deb-ci tests
  * Drop obsolete d/source/local-options
  * Update d/copyright_hints
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2019 10:37:16 +0200
