=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Uploaders:
  Roman Haefeli <reduzent@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 13),
  dh-buildinfo,
+ libfftw3-dev,
+ libgsl-dev | libgsl0-dev,
+ libsndfile1-dev,
  puredata-dev | puredata,
- libfftw3-dev,
- libsndfile1-dev,
- libgsl-dev | libgsl0-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
@@ -21,9 +21,9 @@
 Package: pd-iemmatrix
 Architecture: any
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Description: Pd-objects for simple matrix operations
  This library contains about 100 objects for matrix manipulation within
  the dataflow language Pure Data.
