=== debian/tests/control ===
Tests: run-suite-sysinstalled
Depends:
 @,
Restrictions: allow-stderr
