## pd-iemmatrix 0.3.3

=== debian/changelog ===
pd-iemmatrix (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
    + Drop obsolete patches
  * B-D on pkg-config
  * Build Pd32 and Pd64 variants of the external
    + Only enabled Pd64 builds if we can determine the proper extension
    + autopkgtests: test with Pd32 and Pd64
  * Use dh-sequence-pd-lib-builder for Pd substvars
    + Don't attempt to use pd-lib-builder buildsystem
  * Prefix control files with packagename
  * Apply 'wrap-and-sort -ast'
  * Update copyright information
    + Update copyright dates
    + Update upstream repository
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jul 2023 15:25:48 +0200
