=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
+ dh-sequence-pd-lib-builder,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
- puredata-dev | puredata,
-Standards-Version: 4.6.1
+ pkg-config,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
@@ -21,9 +22,13 @@
 Package: pd-iemmatrix
 Architecture: any
 Depends:
- puredata | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: Pd-objects for simple matrix operations
  This library contains about 100 objects for matrix manipulation within
  the dataflow language Pure Data.
