=== debian/tests/control ===
Tests: run-suite-sysinstalled
Depends:
 puredata64-core,
 @,
Restrictions: allow-stderr
