## pd-iemmatrix 0.4.0

=== tests/Makefile ===
--- 
+++ 
@@ -6,4 +6,3 @@
 
 gui:
 	sh runtests.sh -gui
-
