=== debian/changelog ===
pd-iemmatrix (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
    + Drop patches applied upstream
  * B-D on pkgconf
  * Update copyright information
    + Update copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Feb 2024 10:57:08 +0100

pd-iemmatrix (0.3.3-2) unstable; urgency=medium

  * Fix struct alignment on i386 (Closes: #1050060)
  * Have autopkgtests also depend on pd32
  * Bump d/watch to version 4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 28 Aug 2023 12:59:29 +0200
