=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
- pkg-config,
+ pkgconf | pkg-config,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: sound
