=== debian/watch ===
# to be processed with uscan(1)
version=4
  https://git.iem.at/pd/iemmatrix/tags .*/-/archive/v?@ANY_VERSION@/iemmatrix-.*@ARCHIVE_EXT@
