## pd-iemmatrix 0.4.1

=== debian/changelog ===
pd-iemmatrix (0.4.1-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:51:26 +0200

pd-iemmatrix (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
    (Closes: #1073076, #1073078)
  * Switch to dh-sequence-puredata
  * Update d/watch (GitLab likes breaking things)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Jun 2024 08:52:51 +0200
