=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- dh-sequence-pd-lib-builder,
+ dh-sequence-puredata,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
  pkgconf | pkg-config,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
