## pd-iemmatrix 0.4.2

=== debian/changelog ===
pd-iemmatrix (0.4.2-2) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 16:47:47 +0200

pd-iemmatrix (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Add puredata:Provides
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Oct 2024 23:02:46 +0200
