=== debian/control ===
--- 
+++ 
@@ -6,14 +6,12 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
  dh-sequence-puredata,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
  pkgconf | pkg-config,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
@@ -29,6 +27,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Pd-objects for simple matrix operations
  This library contains about 100 objects for matrix manipulation within
  the dataflow language Pure Data.
