=== debian/watch ===
# to be processed with uscan(1)
version=4
opts=\
 searchmode=plain,\
 dversionmangle=auto \
 https://git.iem.at/pd/iemmatrix/tags?sort=updated_desc -/archive/v?\d[\d.]+/iemmatrix-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
