=== tests/Makefile ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 gui:
 	sh runtests.sh -gui
+
+clean:
+	-rm runtests.log*
