=== debian/changelog ===
pd-iemmatrix (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

  * Switch build-system to pd-lib-builder
  * No longer install the dropped BUGS.txt file
  * Clean leftover logfiles
  * Demote optional dependencies to Recommends
  * Update build-dependencies
    + Drop obsolete fall-back B-D on pkg-config
    + B-D puredata-core for 'test' target
  * Add lintian-overrides for the stub libraries
  * Update copyright information
    + Bump copyright dates
    + Add copyright for new [mtx_convolver~] code
    + Re-generate d/copyright_hints
  * Update watch file to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Nov 2025 14:27:55 +0100
