=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
- pkgconf | pkg-config,
+ pkgconf,
+ puredata-core <!nocheck>,
 Standards-Version: 4.7.2
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
@@ -25,6 +26,7 @@
  ${shlibs:Depends},
 Recommends:
  ${puredata:Recommends},
+ ${shlibs:Recommends},
 Suggests:
  ${puredata:Suggests},
 Provides:
