=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2018-2025 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

override_dh_shlibdeps:
# Make stub-libraries a recommends rather than a hard dependency.
	dh_shlibdeps -XlibiemmatrixStub_
	dpkg-shlibdeps -Tdebian/pd-iemmatrix.substvars2 -dRecommends debian/*/usr/lib/pd/extra/*/libiemmatrixStub_*.so
	cat debian/pd-iemmatrix.substvars2 >> debian/pd-iemmatrix.substvars
	rm -f debian/pd-iemmatrix.substvars2

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
