=== debian/watch ===
Version: 5

# to be processed with uscan(1)
Template: Gitlab
Dist: https://git.iem.at/pd/iemmatrix
