## pd-iemmatrix 0.6.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 endif
 
 cflags += -I. -Isrc
+
+SHELL := /bin/sh
 
 #####################################################################
 ## external dependencies (used by STUB LIBRARIES at the end)
@@ -106,11 +108,12 @@
 	src/iemmatrix.c
 
 common.sources = \
+	src/iemmatrix_utility.c \
+	src/iemmatrix_binop.c \
 	src/iemmatrix_binops.c \
 	src/iemmatrix_unop.c \
-	src/iemmatrix_binop.c \
-	src/iemmatrix_utility.c \
 	src/iemmatrix_stub.c \
+	src/iemmatrix_fft.c \
 	$(empty)
 
 # input source file (class name == source file basename)
@@ -147,7 +150,6 @@
 	src/mtx_div.c \
 	src/mtx_egg.c \
 	src/mtx_eig.c \
-	src/mtx_ei~.c \
 	src/mtx_element.c \
 	src/mtx_eq.c \
 	src/mtx_exp.c \
@@ -224,7 +226,8 @@
 	$(empty)
 
 class.sources += \
-	src/mtx_spherical_harmonics.c
+	src/mtx_spherical_harmonics.c \
+	src/mtx_spherical_harmonics_rotator.c
 mtx_spherical_harmonics.class.sources = \
 	src/mtx_spherical_harmonics/chebyshev12.c \
 	src/mtx_spherical_harmonics/legendre_a.c \
@@ -286,11 +289,11 @@
 
 datafiles += \
 	$(wildcard abs/*.pd) \
-	$(wildcard doc/*.pd) \
+	$(wildcard help/*.pd) \
 	$(empty)
 datafiles += \
-	$(wildcard doc/*.arr3) \
-	$(wildcard doc/*.mtx) \
+	$(wildcard help/*.arr3) \
+	$(wildcard help/*.mtx) \
 	$(empty)
 
 in.files = $(wildcard *.in)
@@ -303,7 +306,7 @@
 src/iemmatrix.c: iemmatrix_sources.h VERSION.txt iemmatrix-meta.pd
 
 iemmatrix_sources.h:
-	src/makesource.sh $(sort $(class.sources)) >$@
+	$(SHELL) src/makesource.sh $(sort $(class.sources)) >$@
 
 %: %.in
 	sed -e 's|@PACKAGE_NAME@|$(lib.name)|g' -e 's|@PACKAGE_VERSION@|$(lib.version)|g' $< > $@
@@ -311,7 +314,7 @@
 
 .PHONY: check
 check:
-	make -C tests
+	$(MAKE) -C tests
 
 .PHONY: clean.local
 clean: clean.local
@@ -320,4 +323,4 @@
 	-rm $(in.files:%.in=%)
 
 # build stub libraries
--include Make.stublibs
+-include src/stub/Make.stublibs
