=== tests/Makefile ===
default: nogui

SHELL:=sh


nogui:
	$(SHELL) runtests.sh

gui:
	$(SHELL) runtests.sh -gui

clean:
	-rm runtests.log*
