=== debian/changelog ===
pd-iemmatrix (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Inject package version into build
  * Update copyright information
    + Update d/copyright
    + Drop obsolete GPL-3 stanza from copyright
    + Re-generate d/copyright
  * Drop obsolete 'Priority: optional' stanza.
  * Drop lintian-override
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Feb 2026 16:10:45 +0100
