=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: pd-iemmatrix
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Roman Haefeli <reduzent@gmail.com>,
@@ -12,7 +11,7 @@
  libsndfile1-dev,
  pkgconf,
  puredata-core <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
