=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,16 @@
 #!/usr/bin/make -f
 # Copyright © 2018-2025 IOhannes m zmölnig <umlaeute@debian.org>
+
+include /usr/share/dpkg/pkg-info.mk
 
 #enable hardening
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --buildsystem=pd_lib_builder
+
+override_dh_auto_build:
+	dh_auto_build -- lib.version=$(DEB_VERSION_UPSTREAM_REVISION)
 
 override_dh_shlibdeps:
 # Make stub-libraries a recommends rather than a hard dependency.
